{
	saved_firstTime [1]
	
	MoveAttack[( xPos,yPos )
	{
		if( not self.IsDead() )
		{
			SetState_Patrol(0);
			SetAttackDistance( 10, 6 );
			SetLineOfSight( 2, 120 );
			PlayAnimation(1);
			WalkTo(xPos,yPos,5,1);
		}
	}]

	Init[ ()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(1);
	
			gun = Random(1,3);
			switch(gun)
			{
				case 1 { GiveWeapon(56); } // MP44
				case 2 { GiveWeapon(53); } // Kar98k
				case 3 { GiveWeapon(55); } // MP40
			}
	
			SetWalking();
			PlayAnimation(7);
			SetState_Patrol(0);
			SetAttackDistance( 5, 2 );
			SetLineOfSight( 2, 120 );
			SetWander(0);
		}
	}]

	ReachedDestination[ (dest)
	{
		if( not self.IsDead() )
		{
			if( dest=5 )
			{
				PlayAnimation(7);
				TurnToEntity( Level.GetPlayer() );
				SetState_Patrol(0);
				SetAttackDistance( 10, 2 );
				SetLineOfSight( 2, 120 );
			}
		}
	}]
}